# Global

##

### Members

#### api :BackendScriptApi

An instance of the frontend api available globally.

##### Type:

- BackendScriptApi

Source:
  - services/backend_script_api.js, line 32

### Type Definitions

#### AttributeType

There are currently only two types of attributes, labels or relations.

##### Type:

- "label" | "relation"

Source:
  - becca/entities/battribute.js, line 11

#### NotePathRecord

##### Type:

- Object

##### Properties:

Name | Type | Description
--- | --- | ---
`isArchived` | boolean |
`isInHoistedSubTree` | boolean |
`notePath` | Array.<string> |
`isHidden` | boolean |

Source:
  - becca/entities/bnote.js, line 27

#### NoteType

There are many different Note types, some of which are entirely opaque to the end user. Those types should be used only for checking against, they are not for direct use.

##### Type:

- "file" | "image" | "search" | "noteMap" | "launcher" | "doc" | "contentWidget" | "text" | "relationMap" | "render" | "canvas" | "mermaid" | "book" | "webView" | "code"

Source:
  - becca/entities/bnote.js, line 20

#### int

A whole number

##### Type:

- number

Source:
  - services/backend_script_api.js, line 27